/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	nd.h,v $
 * Revision 4.2  91/09/19  22:53:58  devbld
 * Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: nd.h,v $ $Revision: 4.2 $ (DEC) $Date: 91/09/19 22:53:58 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
 */
/** Copyright (c) 1988  Mentat Inc.
 ** nd.c 1.5, last change 1/2/90
 **/

#ifndef _ND_H
#define _ND_H

#define	ND_BASE		('N' << 8)	/** base */
#define	ND_GET		(ND_BASE + 0)	/** Get a value */
#define	ND_SET		(ND_BASE + 1)	/** Set a value */

#ifdef	_NO_PROTO
extern	void	nd_free();
extern	int	nd_getset();
extern	int	nd_get_default();
extern	int	nd_get_long();
extern	int	nd_load();
extern	int	nd_set_long();
#else
extern	void	nd_free(caddr_t * nd_pparam);
extern	int	nd_getset(queue_t * q, caddr_t nd_param, MBLKP mp);
extern	int	nd_get_default(queue_t * q, MBLKP mp, caddr_t data);
extern	int	nd_get_long(queue_t * q, MBLKP mp, ulong * lp);
extern	int	nd_load(caddr_t * nd_pparam, char * name, pfi_t get_pfi, pfi_t set_pfi, caddr_t data);
extern	int	nd_set_long(queue_t * q, MBLKP mp, char far * value, ulong * lp);
#endif

#endif
